Bug 511834 - CVE-2009-1892 dhcp: DoS/abort in some configs with client-identifier and hardware address host specifications
CVE-2009-1892 dhcp: DoS/abort in some configs with client-identifier and hard...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2009-1892
  Show dependency treegraph
 
Reported: 2009-07-15 06:07 EDT by Tomas Hoger
Modified: 2009-11-10 12:47 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1.0p1-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 12:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-07-15 06:07:13 EDT
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in all affected branches.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

	bug #509845: CVE-2009-1892 dhcp: DoS/abort in some configs with client-identifier and hardware address host specifications

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available and only close this bug once all affected Fedora versions are fixed.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=509845
Comment 1 Tomas Hoger 2009-07-15 06:10:21 EDT
As far as I know, there's still now official patch blessed by ISC for this flaw (reported got no non-automated report in more than a week).  When going update, you may consider including patch for bug #507717 (CVE-2009-0692).  No security implications on Fedora, but still a bug worth fixing sooner or later.
Comment 2 Fedora Update System 2009-08-05 19:14:12 EDT
dhcp-4.0.0-37.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-37.fc10
Comment 3 Fedora Update System 2009-08-05 20:13:28 EDT
dhcp-4.1.0p1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dhcp-4.1.0p1-1.fc11
Comment 4 David Cantrell 2009-08-05 20:14:42 EDT
dhcp-4.1.0p1 is the official release from ISC to address CVE-2009-0692.  There is no official update for CVE-2009-1892, but plenty of patches exist for it, so I incorporated that fix as well.

New packages built for F-10, F-11, and rawhide.
Comment 5 Fedora Update System 2009-08-25 18:12:13 EDT
dhcp-4.0.0-37.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-08-26 16:28:16 EDT
dhcp-4.1.0p1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dhcp-4.1.0p1-3.fc11
Comment 7 Fedora Update System 2009-08-27 18:55:06 EDT
dhcp-4.1.0p1-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9075
Comment 8 Fedora Update System 2009-11-10 12:46:55 EST
dhcp-4.1.0p1-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.